### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# XIntc_Config Struct Reference

## Detailed Description

This typedef contains configuration information for the device.

## Data Fields
u16 | DeviceId
u32 | BaseAddress
u32 | AckBeforeService
u32 | Options
XIntc_VectorTableEntry | HandlerTable [XPAR_INTC_MAX_NUM_INTR_INPUTS]

## Field Documentation

u32 XIntc_Config::AckBeforeService

| Ack location per interrupt

u32 XIntc_Config::BaseAddress

| Register base address

u16 XIntc_Config::DeviceId

| Unique ID of device

XIntc_VectorTableEntry XIntc_Config::HandlerTable[XPAR_INTC_MAX_NUM_INTR_INPUTS]

| Static vector table of interrupt handlers

u32 XIntc_Config::Options

| Device options

The documentation for this struct was generated from the following file:

- xintc.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.